PDA

View Full Version : Storable.pm



calder68
03-18-2005, 08:41 PM
Someone else posted this same question (last September) but there were no replies. I'm hoping for better luck.
I'm trying to run the multiblog plugin for MT but cannot because it requires storable.pm. Is this a module that Westhost has to add? Or is it something that I can do myself--and if so, how?
Thanks!

Error message:
Plugin error: /var/www/cgi-bin/mt/plugins/multiblog.pl Can't locate Storable.pm in @INC (@INC contains: /var/www/cgi-bin/mt/extlib /var/www/cgi-bin/mt/lib /usr/local/perl/lib/5.6.0/i686-linux /usr/local/perl/lib/5.6.0 /usr/local/perl/lib/site_perl/5.6.0/i686-linux /usr/local/perl/lib/site_perl/5.6.0 /usr/local/perl/lib/site_perl .) at /var/www/cgi-bin/mt/lib/MT/PluginData.pm line 9. BEGIN failed--compilation aborted at /var/www/cgi-bin/mt/lib/MT/PluginData.pm line 9. Compilation failed in require at /var/www/cgi-bin/mt/lib/MT/Plugin.pm line 58. BEGIN failed--compilation aborted at /var/www/cgi-bin/mt/lib/MT/Plugin.pm line 58. Compilation failed in require at /var/www/cgi-bin/mt/extlib/rayners/MultiBlogPlugin.pm line 12. Compilation failed in require at /var/www/cgi-bin/mt/plugins/multiblog.pl line 14. BEGIN failed--compilation aborted at /var/www/cgi-bin/mt/plugins/multiblog.pl line 14. Compilation failed in require at /var/www/cgi-bin/mt/lib/MT.pm line 291.

wildjokerdesign
03-18-2005, 09:07 PM
I'm not sure if anyone has installed this yet or not. Sounds a bit familiar. You could see if WH would install it for you or if you want to give it a try on your own start out by checking Jalal's Tip Site. http://codeworks.gnomedia.com/westhost-introduction/ There is a page on modifying Perl that you'll need to look at.

calder68
03-19-2005, 04:16 PM
Hey thanks for the quick reply!

I checked out Jalal's tip site--nifty. I see that I have to install
GCC Compiler Collection. Unfortunately, I think that's gonna be beyond my competence level. And there are other ways of creating a sideblog.

Thanks, though.

maida
03-26-2005, 03:56 AM
WestHost will often install modules for you, if you need them. They might not be the most updated version, however.

Maida